function CCC_GetCategoryIndex(id)
	local CCC = XTemplates.CommandCenterCategories[1][4][2]
	local idx = table.find(CCC,"Id", id) or false
	
	if idx then
		return idx, CCC[idx]
	end	
end

function CCC_GetTemplateIndex(XParent, Id)
	return table.find(XParent,"Id", Id) or false	
end

function CCC_UpdateXTemplate(XParent, XTemplates_)
	for idx,template in pairs(XTemplates_) do 
		XParent[idx] = template
	end
end